import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { EmploymentRelationshipService } from "../../core/entities/employment-relationship/employment-relationship.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
import { LookupServiceConfig } from "../../core/dto/lookup-service-config";
export declare class EmploymentRelationshipLookupService {
    private translate;
    private configService;
    private employmentRelationshipService;
    private ngUnsubscribe;
    lookupServiceConfig: LookupServiceConfig;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, employmentRelationshipService: EmploymentRelationshipService);
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): string;
    /**
     * Método utilizado para montar o lookup no dynamicForm.
     * LookupValidationDto
     */
    getFormField(isCollective?: boolean, additionalFilter?: string, initialFilter?: string): FormField;
    onEmploymentRelationshipSearchRequest(event: any, additionalFilter: any, initialFilter: any): void;
    onEmploymentRelationshipSearchRequestObservable(event: any, additionalFilter: any, initialFilter: any, isDynamicForm?: boolean): Observable<any>;
    private mapToComponent;
    private getLabelForMaping;
    onEmploymentRelationshipLookupRequest(value: string, additionalFilter: any, initialFilter: any): void;
    onEmploymentRelationshipLookupRequestObservable(value: string, additionalFilter: any, initialFilter: any): Observable<any>;
    getEmploymentRelationshipSearchFields(): FormField[];
}
